std::atomic_ref< _Tp > Struct Template Reference
Atomics

`#include <atomic>`

## Public Member Functions

| atomic_ref (_Tp &__t) noexcept
| atomic_ref (const atomic_ref &)=default
atomic_ref & | operator= (const atomic_ref &)=delete

## Detailed Description

template<typename _Tp>
struct std::atomic_ref< _Tp >

Class template to provide atomic operations on a non-atomic variable.

Definition at line 1675 of file atomic.

## Constructor & Destructor Documentation

## atomic_ref()

template<typename _Tp>

std::atomic_ref< _Tp >::atomic_ref | ( | _Tp & | __t | ) |

inline explicit noexcept

Definition at line 1678 of file atomic.

The documentation for this struct was generated from the following file:

- atomic